Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5116)
@@ -4077,24 +4076,24 @@
       DO i = 1, klon
         DO k = 1, klev
-          if(id_prec>0)        d_tr_ls01(i, k) = d_tr_ls_o(i, k, id_prec)
-          if(id_fine>0)        d_tr_ls02(i, k) = d_tr_ls_o(i, k, id_fine)
-          if(id_coss>0)        d_tr_ls03(i, k) = d_tr_ls_o(i, k, id_coss)
-          if(id_codu>0)        d_tr_ls04(i, k) = d_tr_ls_o(i, k, id_codu)
-          if(id_scdu>0)        d_tr_ls05(i, k) = d_tr_ls_o(i, k, id_scdu)
-          if(id_prec>0)        d_tr_dyn01(i, k) = d_tr_dyn_o(i, k, id_prec)
-          if(id_fine>0)        d_tr_dyn02(i, k) = d_tr_dyn_o(i, k, id_fine)
-          if(id_coss>0)        d_tr_dyn03(i, k) = d_tr_dyn_o(i, k, id_coss)
-          if(id_codu>0)        d_tr_dyn04(i, k) = d_tr_dyn_o(i, k, id_codu)
-          if(id_scdu>0)        d_tr_dyn05(i, k) = d_tr_dyn_o(i, k, id_scdu)
-          if(id_prec>0)        d_tr_cl01(i, k) = d_tr_cl_o(i, k, id_prec)
-          if(id_fine>0)        d_tr_cl02(i, k) = d_tr_cl_o(i, k, id_fine)
-          if(id_coss>0)        d_tr_cl03(i, k) = d_tr_cl_o(i, k, id_coss)
-          if(id_codu>0)        d_tr_cl04(i, k) = d_tr_cl_o(i, k, id_codu)
-          if(id_scdu>0)        d_tr_cl05(i, k) = d_tr_cl_o(i, k, id_scdu)
-          if(id_prec>0)        d_tr_th01(i, k) = d_tr_th_o(i, k, id_prec)
-          if(id_fine>0)        d_tr_th02(i, k) = d_tr_th_o(i, k, id_fine)
-          if(id_coss>0)        d_tr_th03(i, k) = d_tr_th_o(i, k, id_coss)
-          if(id_codu>0)        d_tr_th04(i, k) = d_tr_th_o(i, k, id_codu)
-          if(id_scdu>0)        d_tr_th05(i, k) = d_tr_th_o(i, k, id_scdu)
+          IF(id_prec>0)        d_tr_ls01(i, k) = d_tr_ls_o(i, k, id_prec)
+          IF(id_fine>0)        d_tr_ls02(i, k) = d_tr_ls_o(i, k, id_fine)
+          IF(id_coss>0)        d_tr_ls03(i, k) = d_tr_ls_o(i, k, id_coss)
+          IF(id_codu>0)        d_tr_ls04(i, k) = d_tr_ls_o(i, k, id_codu)
+          IF(id_scdu>0)        d_tr_ls05(i, k) = d_tr_ls_o(i, k, id_scdu)
+          IF(id_prec>0)        d_tr_dyn01(i, k) = d_tr_dyn_o(i, k, id_prec)
+          IF(id_fine>0)        d_tr_dyn02(i, k) = d_tr_dyn_o(i, k, id_fine)
+          IF(id_coss>0)        d_tr_dyn03(i, k) = d_tr_dyn_o(i, k, id_coss)
+          IF(id_codu>0)        d_tr_dyn04(i, k) = d_tr_dyn_o(i, k, id_codu)
+          IF(id_scdu>0)        d_tr_dyn05(i, k) = d_tr_dyn_o(i, k, id_scdu)
+          IF(id_prec>0)        d_tr_cl01(i, k) = d_tr_cl_o(i, k, id_prec)
+          IF(id_fine>0)        d_tr_cl02(i, k) = d_tr_cl_o(i, k, id_fine)
+          IF(id_coss>0)        d_tr_cl03(i, k) = d_tr_cl_o(i, k, id_coss)
+          IF(id_codu>0)        d_tr_cl04(i, k) = d_tr_cl_o(i, k, id_codu)
+          IF(id_scdu>0)        d_tr_cl05(i, k) = d_tr_cl_o(i, k, id_scdu)
+          IF(id_prec>0)        d_tr_th01(i, k) = d_tr_th_o(i, k, id_prec)
+          IF(id_fine>0)        d_tr_th02(i, k) = d_tr_th_o(i, k, id_fine)
+          IF(id_coss>0)        d_tr_th03(i, k) = d_tr_th_o(i, k, id_coss)
+          IF(id_codu>0)        d_tr_th04(i, k) = d_tr_th_o(i, k, id_codu)
+          IF(id_scdu>0)        d_tr_th05(i, k) = d_tr_th_o(i, k, id_scdu)
         ENDDO
       ENDDO
@@ -4102,24 +4101,24 @@
       DO i = 1, klon
         DO k = 1, klev
-          if(id_prec>0)        d_tr_ls01(i, k) = d_tr_ls(i, k, id_prec) / pdtphys
-          if(id_fine>0)        d_tr_ls02(i, k) = d_tr_ls(i, k, id_fine) / pdtphys
-          if(id_coss>0)        d_tr_ls03(i, k) = d_tr_ls(i, k, id_coss) / pdtphys
-          if(id_codu>0)        d_tr_ls04(i, k) = d_tr_ls(i, k, id_codu) / pdtphys
-          if(id_scdu>0)        d_tr_ls05(i, k) = d_tr_ls(i, k, id_scdu) / pdtphys
-          if(id_prec>0)        d_tr_dyn01(i, k) = d_tr_dyn(i, k, id_prec) / pdtphys
-          if(id_fine>0)        d_tr_dyn02(i, k) = d_tr_dyn(i, k, id_fine) / pdtphys
-          if(id_coss>0)        d_tr_dyn03(i, k) = d_tr_dyn(i, k, id_coss) / pdtphys
-          if(id_codu>0)        d_tr_dyn04(i, k) = d_tr_dyn(i, k, id_codu) / pdtphys
-          if(id_scdu>0)        d_tr_dyn05(i, k) = d_tr_dyn(i, k, id_scdu) / pdtphys
-          if(id_prec>0)        d_tr_cl01(i, k) = d_tr_cl(i, k, id_prec) / pdtphys
-          if(id_fine>0)        d_tr_cl02(i, k) = d_tr_cl(i, k, id_fine) / pdtphys
-          if(id_coss>0)        d_tr_cl03(i, k) = d_tr_cl(i, k, id_coss) / pdtphys
-          if(id_codu>0)        d_tr_cl04(i, k) = d_tr_cl(i, k, id_codu) / pdtphys
-          if(id_scdu>0)        d_tr_cl05(i, k) = d_tr_cl(i, k, id_scdu) / pdtphys
-          if(id_prec>0)        d_tr_th01(i, k) = d_tr_th(i, k, id_prec) / pdtphys
-          if(id_fine>0)        d_tr_th02(i, k) = d_tr_th(i, k, id_fine) / pdtphys
-          if(id_coss>0)        d_tr_th03(i, k) = d_tr_th(i, k, id_coss) / pdtphys
-          if(id_codu>0)        d_tr_th04(i, k) = d_tr_th(i, k, id_codu) / pdtphys
-          if(id_scdu>0)        d_tr_th05(i, k) = d_tr_th(i, k, id_scdu) / pdtphys
+          IF(id_prec>0)        d_tr_ls01(i, k) = d_tr_ls(i, k, id_prec) / pdtphys
+          IF(id_fine>0)        d_tr_ls02(i, k) = d_tr_ls(i, k, id_fine) / pdtphys
+          IF(id_coss>0)        d_tr_ls03(i, k) = d_tr_ls(i, k, id_coss) / pdtphys
+          IF(id_codu>0)        d_tr_ls04(i, k) = d_tr_ls(i, k, id_codu) / pdtphys
+          IF(id_scdu>0)        d_tr_ls05(i, k) = d_tr_ls(i, k, id_scdu) / pdtphys
+          IF(id_prec>0)        d_tr_dyn01(i, k) = d_tr_dyn(i, k, id_prec) / pdtphys
+          IF(id_fine>0)        d_tr_dyn02(i, k) = d_tr_dyn(i, k, id_fine) / pdtphys
+          IF(id_coss>0)        d_tr_dyn03(i, k) = d_tr_dyn(i, k, id_coss) / pdtphys
+          IF(id_codu>0)        d_tr_dyn04(i, k) = d_tr_dyn(i, k, id_codu) / pdtphys
+          IF(id_scdu>0)        d_tr_dyn05(i, k) = d_tr_dyn(i, k, id_scdu) / pdtphys
+          IF(id_prec>0)        d_tr_cl01(i, k) = d_tr_cl(i, k, id_prec) / pdtphys
+          IF(id_fine>0)        d_tr_cl02(i, k) = d_tr_cl(i, k, id_fine) / pdtphys
+          IF(id_coss>0)        d_tr_cl03(i, k) = d_tr_cl(i, k, id_coss) / pdtphys
+          IF(id_codu>0)        d_tr_cl04(i, k) = d_tr_cl(i, k, id_codu) / pdtphys
+          IF(id_scdu>0)        d_tr_cl05(i, k) = d_tr_cl(i, k, id_scdu) / pdtphys
+          IF(id_prec>0)        d_tr_th01(i, k) = d_tr_th(i, k, id_prec) / pdtphys
+          IF(id_fine>0)        d_tr_th02(i, k) = d_tr_th(i, k, id_fine) / pdtphys
+          IF(id_coss>0)        d_tr_th03(i, k) = d_tr_th(i, k, id_coss) / pdtphys
+          IF(id_codu>0)        d_tr_th04(i, k) = d_tr_th(i, k, id_codu) / pdtphys
+          IF(id_scdu>0)        d_tr_th05(i, k) = d_tr_th(i, k, id_scdu) / pdtphys
         ENDDO
       ENDDO
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_dust.f90	(revision 5116)
@@ -11,20 +11,20 @@
   INTEGER :: step, nbjour
   LOGICAL :: debutphy
-  real :: dust_ec(klon)
-  real :: dust_ec_glo(klon_glo)
+  REAL :: dust_ec(klon)
+  REAL :: dust_ec_glo(klon_glo)
 
   ! as      real dust_nc(iip1,jjp1)
-  real :: dust_nc_glo(nbp_lon + 1, nbp_lat)
-  integer :: rcode
-  integer :: ncid1, varid1, ncid2, varid2
+  REAL :: dust_nc_glo(nbp_lon + 1, nbp_lat)
+  INTEGER :: rcode
+  INTEGER :: ncid1, varid1, ncid2, varid2
 
   save ncid1, varid1, ncid2, varid2
   !$OMP THREADPRIVATE(ncid1, varid1, ncid2, varid2)
-  integer :: start(4), count(4), status
-  integer :: i, j, ig
+  INTEGER :: start(4), count(4), status
+  INTEGER :: i, j, ig
 
   !$OMP MASTER
   IF (is_mpi_root .AND. is_omp_root) THEN
-    if (debutphy) then
+    if (debutphy) THEN
       ncid1 = nf90_open('dust.nc', nf90_nowrite, rcode)
       varid1 = nf90_inq_varid(ncid1, 'EMISSION', rcode)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_surface.F90	(revision 5116)
@@ -39,5 +39,5 @@
       real, dimension(jjp1) :: lats
       real, dimension(nbp_lat) :: lats_glo
-      real :: rcode2
+      REAL :: rcode2
       integer, dimension(1) :: startj,endj
 !JE20140526>>
@@ -83,5 +83,5 @@
 
        DO i=1,5
-          write(str1,'(i1)') i
+          WRITE(str1,'(i1)') i
           varname=trim(name)//str1
        PRINT*,'lecture variable:',varname
@@ -118,5 +118,5 @@
 !JE20140526<<
 !              CALL gr_dyn_fi(1, iip1, jjp1, klon, tmp_dyn_invers, tmp_fi)
-           if (isinversed) then
+           if (isinversed) THEN
                         CALL gr_dyn_fi(1, nbp_lon+1, nbp_lat, klon_glo, &
    tmp_dyn_invers_glo, tmp_fi_glo)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_vent.f90	(revision 5116)
@@ -10,22 +10,21 @@
   INTEGER :: step, nbjour
   LOGICAL :: debutphy
-  real :: u10m_ec(klon), v10m_ec(klon)
-  real :: u10m_ec_glo(klon_glo), v10m_ec_glo(klon_glo)
+  REAL :: u10m_ec(klon), v10m_ec(klon)
+  REAL :: u10m_ec_glo(klon_glo), v10m_ec_glo(klon_glo)
 
   !  real u10m_nc(iip1,jjp1) !, v10m_nc(iip1,jjm) ! dim 97x72
   !  real v10m_nc(iip1,jjp1)  ! dim 97x73
-  real :: u10m_nc_glo(nbp_lon + 1, nbp_lat) !, v10m_nc(iip1,jjm) ! dim 97x72
-  real :: v10m_nc_glo(nbp_lon + 1, nbp_lat)  ! dim 97x73
-  integer :: rcode
-  integer :: ncidu1, varidu1, ncidv1, varidv1
+  REAL :: u10m_nc_glo(nbp_lon + 1, nbp_lat) !, v10m_nc(iip1,jjm) ! dim 97x72
+  REAL :: v10m_nc_glo(nbp_lon + 1, nbp_lat)  ! dim 97x73
+  INTEGER :: rcode
+  INTEGER :: ncidu1, varidu1, ncidv1, varidv1
   save ncidu1, varidu1, ncidv1, varidv1
   !$OMP THREADPRIVATE(ncidu1, varidu1, ncidv1, varidv1)
-  integer :: start(4), count(4), status
-  integer :: i, j, ig
+  INTEGER :: start(4), count(4), status
+  INTEGER :: i, j, ig
 
   !$OMP MASTER
   IF (is_mpi_root .AND. is_omp_root) THEN
-    if (debutphy) then
-
+    if (debutphy) THEN
       ncidu1 = nf90_open('u10m.nc', nf90_nowrite, rcode)
       varidu1 = nf90_inq_varid(ncidu1, 'U10M', rcode)
@@ -107,12 +106,12 @@
 ! added by JE from the nh SPLA, dyn3d/read_reanalyse.F which is not available any more
 SUBROUTINE correctbid(iim, nl, x)
-  integer :: iim, nl
-  real :: x(iim + 1, nl)
-  integer :: i, l
-  real :: zz
+  INTEGER :: iim, nl
+  REAL :: x(iim + 1, nl)
+  INTEGER :: i, l
+  REAL :: zz
 
   do l = 1, nl
     do i = 2, iim - 1
-      if(abs(x(i, l))>1.e10) then
+      IF(abs(x(i, l))>1.e10) THEN
         zz = 0.5 * (x(i - 1, l) + x(i + 1, l))
         ! PRINT*,'correction ',i,l,x(i,l),zz
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90	(revision 5116)
@@ -8,9 +8,9 @@
        u, t_ocean_1, s1, rain, hf, hlb, rnl, tau, rhoa, xlv, rf, dtime, rns)
 
-    use config_ocean_skin_m, only: jwarm, jcool, rain_effect
-    use Microlayer_m, only: Microlayer
-    use mom_flux_rain_m, only: mom_flux_rain
-    use Near_Surface_m, only: Near_Surface, depth
-    use therm_expans_m, only: therm_expans
+    use config_ocean_skin_m, ONLY: jwarm, jcool, rain_effect
+    use Microlayer_m, ONLY: Microlayer
+    use mom_flux_rain_m, ONLY: mom_flux_rain
+    use Near_Surface_m, ONLY: Near_Surface, depth
+    use therm_expans_m, ONLY: therm_expans
 
     real, intent(out):: tkt(:)
@@ -97,5 +97,5 @@
     !-------------------------------------------------------------------
 
-    if (rain_effect) then
+    if (rain_effect) THEN
        taur = mom_flux_rain(u, rain)
     else
@@ -106,6 +106,6 @@
     if (jwarm .or. jcool) tau_with_min = tau + tau_0 * (1. - exp(- tau_0 / tau))
 
-    if (Jwarm) then
-       if (rain_effect) then
+    if (Jwarm) THEN
+       if (rain_effect) THEN
           CALL Near_Surface(al, t_subskin, s_subskin, ds_ns, dt_ns, &
                tau_with_min, taur, hlb, rhoa, xlv, dtime, t_ocean_1, s1, rain, &
@@ -122,5 +122,5 @@
     end if
 
-    if (Jcool) then
+    if (Jcool) THEN
        ! First guess:
        tkt = 0.001
@@ -131,5 +131,5 @@
           dels = rns * (0.065 + 11. * tkt - 6.6e-5 / tkt &
                * (1. - exp(- tkt / 8e-4))) ! equation 16 Ohlmann
-          if (rain_effect) then
+          if (rain_effect) THEN
              CALL Microlayer(dter, dser, tkt, tks, hlb, tau_with_min, &
                   s_subskin, al, xlv, taur, rf, rain, &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90	(revision 5116)
@@ -30,6 +30,6 @@
 
 #ifdef IN_LMDZ
-    use lmdz_ioipsl_getin_p, only: getin_p
-    use lmdz_assert, only: assert
+    use lmdz_ioipsl_getin_p, ONLY: getin_p
+    use lmdz_assert, ONLY: assert
 #endif
 
@@ -45,13 +45,13 @@
     CALL assert(activate_ocean_skin >= 0 .and. activate_ocean_skin <= 2, &
          "config_ocean_skin bad value of activate_ocean_skin")
-    if (activate_ocean_skin >= 1) then
+    if (activate_ocean_skin >= 1) THEN
        CALL getin_p("flag_ocean_skin", flag_ocean_skin)
        CALL getin_p("depth_1", depth_1)
     end if
 #else
-    write(unit = *, nml = config_ocean_skin_nml)
+    WRITE(unit = *, nml = config_ocean_skin_nml)
     print *, "Enter namelist config_ocean_skin_nml."
     read(unit = *, nml = config_ocean_skin_nml)
-    write(unit = *, nml = config_ocean_skin_nml)
+    WRITE(unit = *, nml = config_ocean_skin_nml)
 #endif
 
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/esat_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/esat_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/esat_m.F90	(revision 5116)
@@ -18,5 +18,5 @@
          * exp(17.502 * (T - 273.15) / (T - 32.18))
 
-  end function esat
+  END FUNCTION esat
 
 end module esat_m
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/fv_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/fv_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/fv_m.F90	(revision 5116)
@@ -30,5 +30,5 @@
     !---------------------------------------------------------------------
 
-    if (rain > 0.) then
+    if (rain > 0.) THEN
        rc = 0.4 ! mm
        z_mm = z * 1000. ! mm and <0
@@ -42,5 +42,5 @@
     endif
 
-  end function fV
+  END FUNCTION fV
 
 end module fv_m
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/microlayer_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/microlayer_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/microlayer_m.F90	(revision 5116)
@@ -10,6 +10,6 @@
     ! H. Bellenger 2016
 
-    use const, only: beta, cpw, grav, rhow
-    use fv_m, only: fv
+    use const, ONLY: beta, cpw, grav, rhow
+    use fv_m, ONLY: fv
 
     real, intent(out):: dter(:)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/mom_flux_rain_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/mom_flux_rain_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/mom_flux_rain_m.F90	(revision 5116)
@@ -20,5 +20,5 @@
     ! as in paragraph 3.a, maybe adequate if u is the wind at 10 m)
 
-  end function mom_flux_rain
+  END FUNCTION mom_flux_rain
   
 end module mom_flux_rain_m
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/near_surface_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/near_surface_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/near_surface_m.F90	(revision 5116)
@@ -13,8 +13,8 @@
     ! Hugo Bellenger, 2016
 
-    use config_ocean_skin_m, only: depth_1
-    use const, only: beta, cpw, grav, rhow, von
-    use Phiw_m, only: Phiw
-    use therm_expans_m, only: therm_expans
+    use config_ocean_skin_m, ONLY: depth_1
+    use const, ONLY: beta, cpw, grav, rhow, von
+    use Phiw_m, ONLY: Phiw
+    use therm_expans_m, ONLY: therm_expans
 
     real, intent(out):: al(:) ! water thermal expansion coefficient (in K-1)
@@ -93,5 +93,5 @@
     end where
 
-    if (depth_1 < depth) then
+    if (depth_1 < depth) THEN
        correction = 1. - (depth_1 / depth)**eta
        ! (neglecting microlayer thickness compared to depth_1 and depth)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/phiw_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/phiw_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/phiw_m.F90	(revision 5116)
@@ -13,5 +13,5 @@
     !----------------------------------------------
 
-    if (zL < 0.) then
+    if (zL < 0.) THEN
        Phiw = (1. - 16. * zL)**(- 0.5)
     else
@@ -20,5 +20,5 @@
     end if
 
-  end function Phiw
+  END FUNCTION Phiw
 
 end module Phiw_m
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90	(revision 5116)
@@ -18,9 +18,9 @@
     ! OpenMP 5.0.
 
-    use const, only: cpa, cpw, rgas
+    use const, ONLY: cpa, cpw, rgas
 #ifndef IN_LMDZ
-    use const, only: eps_w
+    use const, ONLY: eps_w
 #endif
-    use esat_m, only: esat
+    use esat_m, ONLY: esat
 
 #ifdef IN_LMDZ
@@ -66,5 +66,5 @@
     sens_heat_rain =  rain * alfac * cpw * (t_int - t + (q_int - q) * xlv / cpa)
 
-  end function sens_heat_rain
+  END FUNCTION sens_heat_rain
   
 end module sens_heat_rain_m
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/therm_expans_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/therm_expans_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/therm_expans_m.F90	(revision 5116)
@@ -15,5 +15,5 @@
     therm_expans = 2.1e-5 * (t - 269.95)**0.79
 
-  end function therm_expans
+  END FUNCTION therm_expans
 
 end module therm_expans_m
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/miecalc_aer.F90	(revision 5116)
@@ -21,5 +21,5 @@
   USE dimphy
   USE lmdz_yomcst  , ONLY: RG, RPI
-  USE lmdz_phys_para, only: gather, scatter, bcast
+  USE lmdz_phys_para, ONLY: gather, scatter, bcast
   USE lmdz_grid_phy, ONLY: klon_glo
   USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5116)
@@ -50,5 +50,5 @@
           ALLOCATE(m_aer_emiss_vol(nErupt, nAerErupt))
           m_aer_emiss_vol = 0. ; m_sulf_emiss_vol = 0.
-          IF (ok_qemiss) then
+          IF (ok_qemiss) THEN
             ALLOCATE(m_H2O_emiss_vol(nErupt))
             ALLOCATE(m_H2O_emiss_vol_daily(nErupt))
@@ -88,5 +88,5 @@
       IF (flag_emit==1) THEN
         CALL getin_p('m_sulf_emiss_vol', m_sulf_emiss_vol)
-        if (ok_qemiss) then
+        if (ok_qemiss) THEN
           CALL getin_p('m_H2O_emiss_vol', m_H2O_emiss_vol)
         endif
@@ -154,5 +154,5 @@
     !============= Print params =============
     IF (is_master) THEN
-      IF (nErupt > 0) then
+      IF (nErupt > 0) THEN
         if (flag_emit == 1 .OR. flag_emit == 4) THEN
           WRITE(lunout, *) 'IN STRATAER nErupt: ', nErupt
@@ -172,5 +172,5 @@
             WRITE(lunout, *) 'IN STRATAEREMISS : m_sulf_emiss_vol', m_sulf_emiss_vol
             WRITE(lunout, *) 'IN STRATAER : m_aer_emiss_vol', m_aer_emiss_vol
-            IF (ok_qemiss) then
+            IF (ok_qemiss) THEN
               WRITE(lunout, *) 'IN STRATAEREMISS : m_H2O_emiss_vol', m_H2O_emiss_vol
             ENDIF
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/stratemit.F90	(revision 5116)
@@ -95,5 +95,5 @@
           CALL STRATDISTRIB(altLMDz,altemiss,sigma_alt,f_lay_emiss)
           
-          IF (flag_emit==3) then
+          IF (flag_emit==3) THEN
              theta=(sin(theta_max/180.*RPI)-sin(theta_min/180.*RPI))/ &
    (sin(xlat_max_sai/180.*RPI)-sin(xlat_min_sai/180.*RPI))
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5116)
@@ -93,8 +93,8 @@
 !      ***   H2SO4-H2O curved surface - Kelvin effect factor ***
 !            wet radius (m) (RRSI(IK) in [cm])
-             if (f_r_wetB(ilon,ilev,IK) > 1.0) then
+             if (f_r_wetB(ilon,ilev,IK) > 1.0) THEN
                radwet = 1.e-2*RRSI(IK)*f_r_wetB(ilon,ilev,IK)
              else 
-!              H2SO4-H2O flat surface, only on the first timestep
+!              H2SO4-H2O flat surface, ONLY on the first timestep
                radwet = 1.e-2*RRSI(IK)*f_r_wet(ilon,ilev)
              endif
@@ -787,5 +787,5 @@
 
 
-    end function psh2so4
+    END FUNCTION psh2so4
 !-----------------------------------------------------------------------
     real function ndsh2so4(T) result(ndsh2so4_out)
@@ -794,5 +794,5 @@
       IMPLICIT NONE
       real, intent(in) :: T
-      real :: presat
+      REAL :: presat
 
 !     Boltzmann constant ( 1.38065e-23 J/K = m2⋅kg/(s2⋅K) )
@@ -806,5 +806,5 @@
 
 
-     end function ndsh2so4
+     END FUNCTION ndsh2so4
 !-----------------------------------------------------------------------
      real function psh2o(T) result(psh2o_out)
@@ -814,5 +814,5 @@
       real, intent(in) :: T
 
-      if(T>229.) then
+      IF(T>229.) THEN
 !        Preining et al., 1981 (from Kulmala et al., 1998)
 !        saturation vapor pressure (N/m2 = 1 Pa = 1 kg/(m·s2))
@@ -833,5 +833,5 @@
       
 
-     end function psh2o
+     END FUNCTION psh2o
 !-----------------------------------------------------------------------
      real function density(T,so4mfrac) result(density_out)
@@ -867,5 +867,5 @@
         c6=-7.458060e-4, &
         c7= 2.581390e-4
-      real :: a,b,c,so4m2,so4m3,so4m4,so4m5,so4m6
+      REAL :: a,b,c,so4m2,so4m3,so4m4,so4m5,so4m6
       
       so4m2=so4mfrac*so4mfrac
@@ -884,5 +884,5 @@
 
 
-     end function density
+     END FUNCTION density
 !-----------------------------------------------------------------------
      real function surftension(T,so4frac) result(surftension_out)
@@ -893,5 +893,5 @@
       IMPLICIT NONE
       real,intent(in) :: T, so4frac
-      real :: a,b,so4mfrac,so4m2,so4m3,so4m4,so4m5,so4sig
+      REAL :: a,b,so4mfrac,so4m2,so4m3,so4m4,so4m5,so4sig
       real, parameter :: &
        a1= 0.11864, &
@@ -924,5 +924,5 @@
 
 
-     end function surftension
+     END FUNCTION surftension
 !-----------------------------------------------------------------------
      real function wph2so4(pph2o,T) result(wph2so4_out)
@@ -944,5 +944,5 @@
       real, intent(in) :: pph2o, T 
       
-      real :: aw, rh, y1, y2, sulfmolal
+      REAL :: aw, rh, y1, y2, sulfmolal
   
 !       psh2o(T): equilibrium H2O pressure over pure liquid water (Pa)
@@ -955,10 +955,10 @@
 !       composition
 !       calculation of h2so4 molality
-            if(aw <= 0.05 .and. aw > 0.) then
+            IF(aw <= 0.05 .and. aw > 0.) THEN
                y1=12.372089320*aw**(-0.16125516114) &
     -30.490657554*aw -2.1133114241
                y2=13.455394705*aw**(-0.19213122550) &
     -34.285174607*aw -1.7620073078
-            else if(aw <= 0.85 .and. aw > 0.05) then
+            else IF(aw <= 0.85 .and. aw > 0.05) THEN
                y1=11.820654354*aw**(-0.20786404244) &
     -4.8073063730*aw -5.1727540348
@@ -999,5 +999,5 @@
 
 
-     end function wph2so4
+     END FUNCTION wph2so4
 !-----------------------------------------------------------------------
      real function solh2so4(T,xa) result(solh2so4_out)
@@ -1007,5 +1007,5 @@
       real, intent(in) :: T, xa       ! T(K)  xa(H2SO4 mass fraction)
       
-      real :: xw, a12,b12, cacta, presat
+      REAL :: xw, a12,b12, cacta, presat
       
       xw=1.0-xa
@@ -1021,5 +1021,5 @@
 
 
-     end function solh2so4
+     END FUNCTION solh2so4
 !-----------------------------------------------------------------------      
      real function rpmvh2so4(T,ws) result(rpmvh2so4_out)
@@ -1035,5 +1035,5 @@
    -0.2315332,1.60074E-03,-2.5827835E-06/)
       
-      real :: w
+      REAL :: w
 
         w=ws*0.01
@@ -1044,5 +1044,5 @@
         
 
-     end function rpmvh2so4
+     END FUNCTION rpmvh2so4
 !-----------------------------------------------------------------------
      real function rmvh2o(T) result(rmvh2o_out)
@@ -1058,5 +1058,5 @@
        
 
-     end function rmvh2o
+     END FUNCTION rmvh2o
 
 END MODULE sulfate_aer_mod
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5116)
@@ -20,5 +20,5 @@
     USE lmdz_grid_phy
     USE lmdz_phys_mpi_data, ONLY: is_mpi_root
-    USE lmdz_phys_para, only: gather, scatter
+    USE lmdz_phys_para, ONLY: gather, scatter
     USE phys_cal_mod, ONLY: year_len, year_cur, mth_cur, day_cur, hour
     USE sulfate_aer_mod
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/aaam_bud.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/aaam_bud.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/aaam_bud.F90	(revision 5116)
@@ -330,10 +330,10 @@
 
 
-  ! write(*,*) 'AAM',rsec,
-  ! write(*,*) 'AAM',rjour+rsec/86400.,
+  ! WRITE(*,*) 'AAM',rsec,
+  ! WRITE(*,*) 'AAM',rjour+rsec/86400.,
   ! c      raam(3)/hadday,oaam(3)/hadday,
   ! c      tmou(3)/hadley,tsso(3)/hadley,tbls(3)/hadley
 
-  ! write(iam,100)rjour+rsec/86400.,
+  ! WRITE(iam,100)rjour+rsec/86400.,
   ! c      raam(1)/hadday,oaam(1)/hadday,
   ! c      tmou(1)/hadley,tsso(1)/hadley,tbls(1)/hadley,
@@ -344,12 +344,12 @@
 100 FORMAT (F12.5, 15(1X,F12.5))
 
-  ! write(iam+1,*)((zs(i,j),i=1,nbp_lon),j=1,nbp_lat)
-  ! write(iam+1,*)((ps(i,j),i=1,nbp_lon),j=1,nbp_lat)
-  ! write(iam+1,*)((ub(i,j),i=1,nbp_lon),j=1,nbp_lat)
-  ! write(iam+1,*)((vb(i,j),i=1,nbp_lon),j=1,nbp_lat)
-  ! write(iam+1,*)((ssou(i,j),i=1,nbp_lon),j=1,nbp_lat)
-  ! write(iam+1,*)((ssov(i,j),i=1,nbp_lon),j=1,nbp_lat)
-  ! write(iam+1,*)((blsu(i,j),i=1,nbp_lon),j=1,nbp_lat)
-  ! write(iam+1,*)((blsv(i,j),i=1,nbp_lon),j=1,nbp_lat)
+  ! WRITE(iam+1,*)((zs(i,j),i=1,nbp_lon),j=1,nbp_lat)
+  ! WRITE(iam+1,*)((ps(i,j),i=1,nbp_lon),j=1,nbp_lat)
+  ! WRITE(iam+1,*)((ub(i,j),i=1,nbp_lon),j=1,nbp_lat)
+  ! WRITE(iam+1,*)((vb(i,j),i=1,nbp_lon),j=1,nbp_lat)
+  ! WRITE(iam+1,*)((ssou(i,j),i=1,nbp_lon),j=1,nbp_lat)
+  ! WRITE(iam+1,*)((ssov(i,j),i=1,nbp_lon),j=1,nbp_lat)
+  ! WRITE(iam+1,*)((blsu(i,j),i=1,nbp_lon),j=1,nbp_lat)
+  ! WRITE(iam+1,*)((blsv(i,j),i=1,nbp_lon),j=1,nbp_lat)
 
   aam = raam(3)
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90	(revision 5116)
@@ -21,6 +21,6 @@
 
 !  ONLINE:
-    use dimphy, only: klon, klev
-    use lmdz_assert, only: assert
+    use dimphy, ONLY: klon, klev
+    use lmdz_assert, ONLY: assert
     USE lmdz_ioipsl_getin_p, ONLY: getin_p
     USE lmdz_vertical_layers, ONLY: presnivs
